<?php

$content = api_query('https://' . $server . '/manager/ispmgr?func=domain&out=xml&authinfo=' . urlencode($_SESSION['username']) . ':' . urlencode($_SESSION['password']));
$parse_xml = simplexml_load_string($content);
echo '<div class="menu"><img src="images/t-new.png" alt="." /><a href="?func=domain.edit">Создать новое доменное имя</a>' . "\n";
echo '</div>' . "\n";
foreach($parse_xml->elem as $var) {
    echo '<div class="post"><b>Доменное имя:</b> ' . htmlentities((string)$var->name, ENT_QUOTES, 'UTF-8') . '<br />' . "\n";
    echo '&#187; <a href="?func=domain.sublist&amp;elid=' . urlencode((string)$var->name) . '">Просмотр записей</a><br />' . "\n";
    echo '&#187; <a href="?func=domain.edit&amp;elid=' . urlencode((string)$var->name) . '">Изменить</a><br />' . "\n";
    echo '&#187; <a href="?func=domain.delete&amp;elid=' . urlencode((string)$var->name) . '">Удалить</a>' . "\n";
    echo '</div>' . "\n";
}
echo '<div class="menu"><img src="images/sb-menu.png" alt="." /><a href="?func=menu">Вернуться в меню</a>' . "\n</div>";

?>